Bug 5182 - [UPDATE REQUEST] libevdev-1.4-1, x11-driver-input-synaptics-1.8.1-1, x11-driver-input-evdev-2.9.1-1
: [UPDATE REQUEST] libevdev-1.4-1, x11-driver-input-synaptics-1.8.1-1, x11-driv...
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-16 17:24 MSK by Eugene Shatokhin
Modified: 2015-04-06 14:49 MSD (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
eugene.shatokhin: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2015-03-16 17:24:55 MSK
Updated x11-driver-input-synaptics and x11-driver-input-evdev to versions 1.8.1 and 2.9.1, respectively. These X11 drivers now require libevdev, so I updated it as well.
Comment 1 Eugene Shatokhin 2015-03-16 17:32:13 MSK
Advisory:
The widely used X11 input drivers, x11-driver-input-synaptics and x11-driver-input-evdev, were updated to versions 1.8.1 and 2.9.1, respectively. The drivers now rely on libevdev for some of their low-level tasks, so libevdev was also updated (to version 1.4). These updates provide a number of bug fixes as well as support for newer hardware.

Build lists:
i586:
https://abf.io/build_lists/2469507
https://abf.io/build_lists/2469807
https://abf.io/build_lists/2469732

x86_64:
https://abf.io/build_lists/2469508
https://abf.io/build_lists/2469808
https://abf.io/build_lists/2469733


Hints for testing:
Please check if keyboards, mice, touchpads and other input devices work OK.
Comment 2 Vladimir Potapov 2015-03-18 11:41:53 MSK
the update sent to expanded testing
***********************************
Comment 3 Vladimir Potapov 2015-03-23 07:27:57 MSK
libevdev-1.4-1
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2469507/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2469508/x86_64/main/release/

x11-driver-input-evdev-2.9.1
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2469807/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2469808/x86_64/main/release/

x11-driver-input-synaptics-1.8.1-1
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2469732/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2469733/x86_64/main/release/

******************************* Advisory ***************************
The widely used X11 input drivers, x11-driver-input-synaptics and x11-driver-input-evdev, were updated to versions 1.8.1 and 2.9.1, respectively. The drivers now rely on libevdev for some of their low-level tasks, so libevdev was also updated (to version 1.4). These updates provide a number of bug fixes as well as support for newer hardware.
*******************************************************************
QA Verified
Comment 4 Vladimir Potapov 2015-04-04 17:30:12 MSD
похоже, что с этим обновлением проблемы
http://forum.rosalab.ru/viewtopic.php?f=53&t=5440
http://forum.rosalab.ru/viewtopic.php?f=53&t=5372&p=41570&hilit=%D1%82%D0%B0%D1%87%D0%BF%D0%B0%D0%B4#p41570
Comment 5 Vladimir Potapov 2015-04-05 17:50:45 MSD
 http://hw.rosalinux.ru/index.php?probe=48c0ff7250
Получено с лайва. Древний самсунг.
Comment 6 Eugene Shatokhin 2015-04-06 11:42:59 MSD
(In reply to comment #4)
> похоже, что с этим обновлением проблемы
> http://forum.rosalab.ru/viewtopic.php?f=53&t=5440
> http://forum.rosalab.ru/viewtopic.
> php?f=53&t=5372&p=41570&hilit=%D1%82%D0%B0%D1%87%D0%BF%D0%B0%D0%B4#p41570

Нужны логи непосредственно с системы после зависания touchpad'а. Не из Live. 
Без этого сложно даже предположить, из-за чего проблема, не то, что её решать.
Comment 7 Eugene Shatokhin 2015-04-06 11:51:12 MSD
Плюс, надо выяснить у пользователя, что значит "touchpad зависает". Надолго ли зависает? Восстанавливается ли потом? Там всего одна фраза, и информации в ней очень мало, а мы всё ж не телепаты.

Используется ли отключение touchpad'а при печати? Если да, то после набора чего-то на клавиатуре touchpad, действительно, включается не всегда сразу на некоторых (особенно старых) моделях ноутбуков.

Когда будет информация, только тогда и можно будет что-то решать.
Comment 8 Vladimir Potapov 2015-04-06 11:56:50 MSD
(In reply to comment #6)
> (In reply to comment #4)
> > похоже, что с этим обновлением проблемы
> > http://forum.rosalab.ru/viewtopic.php?f=53&t=5440
> > http://forum.rosalab.ru/viewtopic.
> > php?f=53&t=5372&p=41570&hilit=%D1%82%D0%B0%D1%87%D0%BF%D0%B0%D0%B4#p41570
> 
> Нужны логи непосредственно с системы после зависания touchpad'а. Не из Live. 
> Без этого сложно даже предположить, из-за чего проблема, не то, что её
> решать.
Евгений, там два сообщения с форума. Один - когда после обновления и тачпад и клавиатура вообще отключились. Другой с зависанием.
Понятно, что в первомо случае взять логи проблематично.
Comment 9 Eugene Shatokhin 2015-04-06 14:49:36 MSD
Это может быть две разные проблемы или одна - без диагностики никогда не узнаем. 

На моих машинах проблема не воспроизводится. Кто-то ещё пытался воспроизвести?

Будут логи - будем анализировать. Не будут - увы.